Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mozilla.javascript.ast
Enum ParseProblem.Type

    java.lang.Object
      java.lang.Enum<ParseProblem.Type>
          org.mozilla.javascript.ast.ParseProblem.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ParseProblem.Type>

Enclosing class:
  ParseProblem

    public static enum ParseProblem.Type

extends java.lang.Enum<ParseProblem.Type>

Enum Constant Summary
`Error`
`Warning`

Method Summary
`static ParseProblem.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ParseProblem.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Error

    public static final ParseProblem.Type Error

### Warning

    public static final ParseProblem.Type Warning

Method Detail

### values

    public static ParseProblem.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ParseProblem.Type c : ParseProblem.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ParseProblem.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD